import {select, range} from 'd3';

export const DrawCircleState = (parent, props) => {
  const {Name, Radius} = props; //Unpack parameters
  const StateName = Name + "State";
  console.log(props);
  const gCircleState = parent.selectAll("."+StateName)
  							.data([null]).enter()
  							.append("g");
  gCircleState
  						  .append("circle")
  							.merge(gCircleState)
           	 		.transition().duration(1000)
  							.attr("cx", 0)
  							.attr("cy", 0)
  
				        .attr("r", Radius)
      					.attr("class", StateName)
							;

 };